- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# AddWeaponCommand Class Reference

`#include <Command.h>`

Inheritance diagram for AddWeaponCommand:

List of all members.

## Public Member Functions
| AddWeaponCommand (Player *player, std::string filename)
| AddWeaponCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _filename
Player * | _player
## Static Private Attributes
static const std::string | _id = "addWeapon"

## Detailed Description

Definition at line 360 of file Command.h.

## Constructor & Destructor Documentation

AddWeaponCommand::AddWeaponCommand | ( | Player * | player,
|  | std::string | filename
| ) |

| Definition at line 12 of file AddWeaponCommand.cpp.

AddWeaponCommand::AddWeaponCommand | ( | List * | command | ) |

| Definition at line 17 of file AddWeaponCommand.cpp. References _filename, _player, List::firstString(), Level::getObject(), Level::instance(), and List::rest().

## Member Function Documentation

void AddWeaponCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 24 of file AddWeaponCommand.cpp. References _filename, _player, and Player::addSecondary().

std::string AddWeaponCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file AddWeaponCommand.cpp. References _filename, _id, _player, List::getString(), Object::id(), and List::snoc().

static std::string AddWeaponCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 368 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

std::string AddWeaponCommand::_filename`[private]`

| Definition at line 370 of file Command.h. Referenced by AddWeaponCommand(), execute(), and getString().

const string AddWeaponCommand::_id = "addWeapon"`[static, private]`

| Definition at line 373 of file Command.h. Referenced by getString(), and id().

Player* AddWeaponCommand::_player`[private]`

| Definition at line 371 of file Command.h. Referenced by AddWeaponCommand(), execute(), and getString().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/AddWeaponCommand.cpp